Name:           slock
Version:        1.1
Release:        alt1_2
Summary:        Simple X display locker
Group:          Graphical desktop/Other
License:        MIT
URL:            http://tools.suckless.org/%{name}
Source0:        http://dl.suckless.org/tools/%{name}-%{version}.tar.gz
Patch0:         slock-1.0-config.patch
BuildRequires:  libX11-devel libXext-devel
Source44: import.info

%description
This is the simplest X screen locker we are aware of.  It is stable and
quite a lot people in this community are using it every day when they
are out with friends or fetching some food from the local pub.

%prep
%setup -q
%patch0 -p1 -b .config

%build
make %{?_smp_mflags}

%install
make install PREFIX=%{buildroot}/usr

%files
%doc README LICENSE
%{_bindir}/%{name}
# There is no freedesktop.org .desktop file because slock is basically a helper
# binary for light windowmanagers, and it shouldn't appear in applications menu

%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.1-alt1_2
- initial fc import

